System.Data 2.0.0.0 System.Enum

Describes the type of access to user data for a user-defined method or function.

This enumeration is used in and to indicate whether the method or function uses ADO.NET to connect back to the database using the "context connection."

Note that methods and functions are not allowed to make changes to the database, so the options for this enumeration are None (meaning no data-access performed by the method or function) and Read (meaning that the method or function perform read-only data-access operations, such as executing SELECT statements).

Describes the type of access to user data for a user-defined method or function.

- Field
  Microsoft.SqlServer.Server.DataAccessKind

  The method or function does not access user data.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.DataAccessKind

  The method or function reads user data.

  2.0.0.0